summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/xgettext-csharp-4
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests/xgettext-csharp-4')
-rwxr-xr-xgettext-tools/tests/xgettext-csharp-47
1 files changed, 5 insertions, 2 deletions
diff --git a/gettext-tools/tests/xgettext-csharp-4 b/gettext-tools/tests/xgettext-csharp-4
index 8189fd7..2a03a6a 100755
--- a/gettext-tools/tests/xgettext-csharp-4
+++ b/gettext-tools/tests/xgettext-csharp-4
@@ -15,9 +15,12 @@ class TestCase {
}
EOF
-tmpfiles="$tmpfiles xg-cs-4.po"
+tmpfiles="$tmpfiles xg-cs-4.tmp.po xg-cs-4.po"
: ${XGETTEXT=xgettext}
-${XGETTEXT} --omit-header --no-location --keyword=MyPluralString:2,3 -d xg-cs-4 xg-cs-4.cs
+${XGETTEXT} --omit-header --no-location --keyword=MyPluralString:2,3 \
+ -d xg-cs-4.tmp xg-cs-4.cs
+test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+tr -d '\r' < xg-cs-4.tmp.po > xg-cs-4.po
test $? = 0 || { rm -fr $tmpfiles; exit 1; }
tmpfiles="$tmpfiles xg-cs-4.ok"